# $Revision: 1.49 $, $Date: 2011/09/02 17:45:41 $
Summary:	XML-RPC C library - an implementation of the xmlrpc protocol
Summary(pl.UTF-8):	Biblioteka XML-RPC C - implementacja protokołu xmlrpc
Name:		xmlrpc-c
Version:	1.28.10
Release:	1
License:	XML-RPC for C License (BSD-like)
Group:		Libraries
# svn co http://xmlrpc-c.svn.sourceforge.net/svnroot/xmlrpc-c/advanced xmlrpc-c
# Unfortunately, upstream does not tag versions so we must fetch from the branch
# and check which version was used for it
# 1.28.10 is svn r2181
Source0:	%{name}-%{version}.tar.xz
# Source0-md5:	b1d7d851bbd50169be668ef16817bc6b
Patch0:		%{name}-fastdep.patch
Patch1:		%{name}-soname.patch
Patch2:		%{name}-cflags.patch
# patches 10+ come from Fedora
Patch10:	%{name}-cmake.patch
Patch11:	%{name}-printf-size_t.patch
Patch12:	%{name}-longlong.patch
Patch13:	%{name}-uninit-curl.patch
Patch14:	%{name}-30x-redirect.patch
Patch15:	%{name}-check-vasprintf-return-value.patch
Patch16:	%{name}-include-string_int.h.patch
URL:		http://xmlrpc-c.sourceforge.net/
BuildRequires:	cmake >= 2.6
BuildRequires:	curl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	ncurses-devel >= 5.7-21
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.577
BuildRequires:	tar >= 1:1.22
BuildRequires:	w3c-libwww-devel >= 5.4.0-11
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML-RPC is a quick-and-easy way to make procedure calls over the
Internet. It converts the procedure call into XML document, sends it
to a remote server using HTTP, and gets back the response as XML.

This library provides a modular implementation of XML-RPC for C.

%description -l pl.UTF-8
XML-RPC to szybki i łatwy w użyciu sposób wywoływania procedur poprzez
Internet. Przekształca wywołanie procedury na dokument XML, wysyła do
zdalnego serwera poprzez HTTP i odbiera odpowiedź jako XML.

Ta biblioteka udostepnia modularną implementacją XML-RPC dla języka C.

%package devel
Summary:	C header files for xmlrpc-c base libraries
Summary(pl.UTF-8):	Pliki nagłówkowe C dla głównych bibliotek xmlrpc-c 
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	expat-devel
Requires:	libxml2-devel >= 2.0
Requires:	w3c-libwww-devel

%description devel
C header files for xmlrpc-c base libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe C dla głównych bibliotek xmlrpc-c.

%package client
Summary:	C client library for xmlrpc-c
Summary(pl.UTF-8):	Biblioteka kliencka C xmlrpc-c
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description client
XML-RPC is a quick-and-easy way to make procedure calls over the
Internet. It converts the procedure call into XML document, sends it
to a remote server using HTTP, and gets back the response as XML.

This library provides a modular implementation of XML-RPC for C
clients.

%description client -l pl.UTF-8
XML-RPC to szybki i łatwy w użyciu sposób wywoływania procedur poprzez
Internet. Przekształca wywołanie procedury na dokument XML, wysyła do
zdalnego serwera poprzez HTTP i odbiera odpowiedź jako XML.

Ta biblioteka udostepnia modularną implementacją XML-RPC dla klientów
w języku C.

%package client-devel
Summary:	C header files for xmlrpc-c client library
Summary(pl.UTF-8):	Pliki nagłówkowe C dla biblioteki klienckiej xmlrpc-c
Group:		Development/Libraries
Requires:	%{name}-client = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description client-devel
C header files for xmlrpc-c client library.

%description client-devel -l pl.UTF-8
Pliki nagłówkowe C dla biblioteki klienckiej xmlrpc-c.

%package server
Summary:	C server libraries for xmlrpc-c
Summary(pl.UTF-8):	Biblioteki serwerowe C xmlrpc-c
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description server
XML-RPC is a quick-and-easy way to make procedure calls over the
Internet. It converts the procedure call into XML document, sends it
to a remote server using HTTP, and gets back the response as XML.

These libraries provide a modular implementation of XML-RPC for C
servers.

%description server -l pl.UTF-8
XML-RPC to szybki i łatwy w użyciu sposób wywoływania procedur poprzez
Internet. Przekształca wywołanie procedury na dokument XML, wysyła do
zdalnego serwera poprzez HTTP i odbiera odpowiedź jako XML.

Te biblioteki udostepniają modularną implementacją XML-RPC dla
serwerów w języku C.

%package server-devel
Summary:	C header files for xmlrpc-c server libraries
Summary(pl.UTF-8):	Pliki nagłówkowe C dla bibliotek serwerowych xmlrpc-c
Group:		Development/Libraries
Requires:	%{name}-server = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description server-devel
C header files for xmlrpc-c server libraries.

%description server-devel -l pl.UTF-8
Pliki nagłówkowe C dla bibliotek serwerowych xmlrpc-c.

%package c++
Summary:	C++ libraries for xmlrpc-c
Summary(pl.UTF-8):	Biblioteki C++ xmlrpc-c
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description c++
XML-RPC is a quick-and-easy way to make procedure calls over the
Internet. It converts the procedure call into XML document, sends it
to a remote server using HTTP, and gets back the response as XML.

This library provides a modular implementation of XML-RPC for C++.

%description c++ -l pl.UTF-8
XML-RPC to szybki i łatwy w użyciu sposób wywoływania procedur poprzez
Internet. Przekształca wywołanie procedury na dokument XML, wysyła do
zdalnego serwera poprzez HTTP i odbiera odpowiedź jako XML.

Ta biblioteka udostepnia modularną implementacją XML-RPC dla języka
C++.

%package c++-devel
Summary:	C++ header files for xmlrpc-c base libraries
Summary(pl.UTF-8):	Pliki nagłówkowe C++ głównych bibliotek xmlrpc-c
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description c++-devel
C++ header files for xmlrpc-c base libraries.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe C++ głównych bibliotek xmlrpc-c.

%package client++
Summary:	C++ client library for xmlrpc-c
Summary(pl.UTF-8):	Biblioteka kliencka C++ xmlrpc-c
Group:		Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-client = %{version}-%{release}

%description client++
XML-RPC is a quick-and-easy way to make procedure calls over the
Internet. It converts the procedure call into XML document, sends it
to a remote server using HTTP, and gets back the response as XML.

This library provides a modular implementation of XML-RPC for C++
clients.

%description client++ -l pl.UTF-8
XML-RPC to szybki i łatwy w użyciu sposób wywoływania procedur poprzez
Internet. Przekształca wywołanie procedury na dokument XML, wysyła do
zdalnego serwera poprzez HTTP i odbiera odpowiedź jako XML.

Ta biblioteka udostepnia modularną implementacją XML-RPC dla klientów
w języku C++.

%package client++-devel
Summary:	C++ header files for xmlrpc-c client library
Summary(pl.UTF-8):	Pliki nagłówkowe C++ biblioteki klienckiej xmlrpc-c
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}
Requires:	%{name}-client++ = %{version}-%{release}
Requires:	%{name}-client-devel = %{version}-%{release}

%description client++-devel
C++ header files for xmlrpc-c client library.

%description client++-devel -l pl.UTF-8
Pliki nagłówkowe C++ biblioteki klienckiej xmlrpc-c.

%package server++
Summary:	C++ server libraries for xmlrpc-c
Summary(pl.UTF-8):	Biblioteki serwerowe C++ xmlrpc-c
Group:		Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-server = %{version}-%{release}

%description server++
XML-RPC is a quick-and-easy way to make procedure calls over the
Internet. It converts the procedure call into XML document, sends it
to a remote server using HTTP, and gets back the response as XML.

These libraries provide a modular implementation of XML-RPC for C++
servers.

%description server++ -l pl.UTF-8
XML-RPC to szybki i łatwy w użyciu sposób wywoływania procedur poprzez
Internet. Przekształca wywołanie procedury na dokument XML, wysyła do
zdalnego serwera poprzez HTTP i odbiera odpowiedź jako XML.

Te biblioteki udostepniają modularną implementacją XML-RPC dla
serwerów w języku C++.

%package server++-devel
Summary:	C++ header files for xmlrpc-c server libraries
Summary(pl.UTF-8):	Pliki nagłówkowe C dla bibliotek serwerowych xmlrpc-c
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}
Requires:	%{name}-server++ = %{version}-%{release}
Requires:	%{name}-server-devel = %{version}-%{release}

%description server++-devel
C++ header files for xmlrpc-c server libraries.

%description server++-devel -l pl.UTF-8
Pliki nagłówkowe C++ dla bibliotek serwerowych xmlrpc-c.

%package apps
Summary:	Sample XML-RPC applications
Summary(pl.UTF-8):	Przykładowe aplikacje XML-RPC
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-client = %{version}-%{release}
Requires:	%{name}-client++ = %{version}-%{release}

%description apps
XML-RPC is a quick-and-easy way to make procedure calls over the
Internet. It converts the procedure call into XML document, sends it
to a remote server using HTTP, and gets back the response as XML.

This package contains some handy XML-RPC demo applications.

%description apps -l pl.UTF-8
XML-RPC to szybki i łatwy w użyciu sposób wywoływania procedur poprzez
Internet. Przekształca wywołanie procedury na dokument XML, wysyła do
zdalnego serwera poprzez HTTP i odbiera odpowiedź jako XML.

Ten pakiet zawiera kilka podręcznych aplikacji demonstracyjnych
XML-RPC.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch2 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch1 -p1

%build
mkdir -p build
cd build
%cmake .. \
	-D_lib:STRING=%{_lib} \
	-DCMAKE_C_FLAGS_RELEASE="-DNDEBUG" \
	-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" \
	-DMUST_BUILD_CURL_CLIENT:BOOL=ON \
	-DMUST_BUILD_LIBWWW_CLIENT:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DENABLE_TOOLS:BOOL=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \

chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so*

# Win32-specific
%{__rm} $RPM_BUILD_ROOT%{_includedir}/xmlrpc_server_w32httpsys.h \
	$RPM_BUILD_ROOT%{_includedir}/xmlrpc-c/server_w32httpsys.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	client -p /sbin/ldconfig
%postun client -p /sbin/ldconfig

%post	server -p /sbin/ldconfig
%postun server -p /sbin/ldconfig

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%post	client++ -p /sbin/ldconfig
%postun	client++ -p /sbin/ldconfig

%post	server++ -p /sbin/ldconfig
%postun	server++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{COPYING,CREDITS,HISTORY,SECURITY,TODO}
%attr(755,root,root) %{_libdir}/libxmlrpc-c.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc-c.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_abyss.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_abyss.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_util.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_util.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/{DEVELOPING,TESTING}
%attr(755,root,root) %{_bindir}/xmlrpc-c-config
%attr(755,root,root) %{_libdir}/libxmlrpc-c.so
%attr(755,root,root) %{_libdir}/libxmlrpc_abyss.so
%attr(755,root,root) %{_libdir}/libxmlrpc_util.so
%dir %{_includedir}/xmlrpc-c
%{_includedir}/xmlrpc-c/abyss*.h
%{_includedir}/xmlrpc-c/base.h
%{_includedir}/xmlrpc-c/c_util.h
%{_includedir}/xmlrpc-c/config.h
%{_includedir}/xmlrpc-c/inttypes.h
%{_includedir}/xmlrpc-c/json.h
%{_includedir}/xmlrpc-c/oldxmlrpc.h
%{_includedir}/xmlrpc-c/transport.h
%{_includedir}/xmlrpc-c/util.h
%{_includedir}/xmlrpc.h
%{_includedir}/xmlrpc_abyss.h
%{_includedir}/xmlrpc_cgi.h
%{_pkgconfigdir}/xmlrpc.pc
%{_pkgconfigdir}/xmlrpc_abyss.pc
%{_pkgconfigdir}/xmlrpc_util.pc

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc_client.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_client.so.3

%files client-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc_client.so
%{_includedir}/xmlrpc-c/client*.h
%{_includedir}/xmlrpc_client.h
%{_pkgconfigdir}/xmlrpc_client.pc

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc_server.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_server_abyss.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_abyss.so.3
%attr(755,root,root) %{_libdir}/libxmlrpc_server_cgi.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_cgi.so.3

%files server-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc_server.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_abyss.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_cgi.so
%{_includedir}/xmlrpc-c/server.h
%{_includedir}/xmlrpc-c/server_abyss.h
%{_includedir}/xmlrpc-c/server_cgi.h
%{_includedir}/xmlrpc_server.h
%{_pkgconfigdir}/xmlrpc_server.pc
%{_pkgconfigdir}/xmlrpc_server_abyss.pc
%{_pkgconfigdir}/xmlrpc_server_cgi.pc

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc++.so.7
%attr(755,root,root) %{_libdir}/libxmlrpc_cpp.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_cpp.so.7
%attr(755,root,root) %{_libdir}/libxmlrpc_packetsocket.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_packetsocket.so.7

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc++.so
%attr(755,root,root) %{_libdir}/libxmlrpc_cpp.so
%attr(755,root,root) %{_libdir}/libxmlrpc_packetsocket.so
%{_includedir}/xmlrpc-c/base.hpp
%{_includedir}/xmlrpc-c/girerr.hpp
%{_includedir}/xmlrpc-c/girmem.hpp
%{_includedir}/xmlrpc-c/oldcppwrapper.hpp
%{_includedir}/xmlrpc-c/packetsocket.hpp
%{_includedir}/xmlrpc-c/registry.hpp
%{_includedir}/xmlrpc-c/timeout.hpp
%{_includedir}/xmlrpc-c/xml.hpp
%{_includedir}/XmlRpcCpp.h
%{_pkgconfigdir}/xmlrpc++.pc
%{_pkgconfigdir}/xmlrpc_cpp.pc
%{_pkgconfigdir}/xmlrpc_packetsocket.pc

%files client++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc_client++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_client++.so.7

%files client++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc_client++.so
%{_includedir}/xmlrpc-c/client*.hpp
%{_pkgconfigdir}/xmlrpc_client++.pc

%files server++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc_server++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server++.so.7
%attr(755,root,root) %{_libdir}/libxmlrpc_server_abyss++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_abyss++.so.7
%attr(755,root,root) %{_libdir}/libxmlrpc_server_cgi++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_cgi++.so.7
%attr(755,root,root) %{_libdir}/libxmlrpc_server_pstream++.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc_server_pstream++.so.7

%files server++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc_server++.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_abyss++.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_cgi++.so
%attr(755,root,root) %{_libdir}/libxmlrpc_server_pstream++.so
%{_includedir}/xmlrpc-c/server_abyss.hpp
%{_includedir}/xmlrpc-c/server_pstream.hpp
%{_pkgconfigdir}/xmlrpc_server++.pc
%{_pkgconfigdir}/xmlrpc_server_abyss++.pc
%{_pkgconfigdir}/xmlrpc_server_cgi++.pc
%{_pkgconfigdir}/xmlrpc_server_pstream++.pc

%files apps
%defattr(644,root,root,755)
%doc tools/xmlrpc/xmlrpc.html tools/xmlrpc_transport/xmlrpc_transport.html
%attr(755,root,root) %{_bindir}/xmlrpc
%attr(755,root,root) %{_bindir}/xmlrpc_transport
%attr(755,root,root) %{_bindir}/xml-rpc-api2cpp
%attr(755,root,root) %{_bindir}/xml-rpc-api2txt
%attr(755,root,root) %{_bindir}/xmlrpc_cpp_proxy
%attr(755,root,root) %{_bindir}/xmlrpc_pstream
%{_mandir}/man1/xml-rpc-api2cpp.1*
%{_mandir}/man1/xml-rpc-api2txt.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmlrpc-c.spec,v $
Revision 1.49  2011/09/02 17:45:41  arekm
- up to 1.28.10

Revision 1.48  2011/06/28 16:00:47  arekm
- release 2

Revision 1.47  2011/05/29 19:29:24  qboosh
- I can see no reason to remove xml-rpc-api2txt, so package it

Revision 1.46  2011/05/29 10:43:37  qboosh
- more fine-grained split (client libs no longer require server ones; devel no longer requires all)

Revision 1.45  2011/05/29 10:01:53  qboosh
- updated to 1.26.2
- updated Fedora patches (for 1.26.0; cmake patch adjusted for 1.26.2 by me)
- updated soname patch

Revision 1.44  2011/01/26 17:54:07  qboosh
- verbose man files (one is for deleted binary???)
- -client++ uses both -client and -c++

Revision 1.43  2011/01/26 17:44:59  qboosh
- -apps use all kind of libs

Revision 1.42  2011/01/26 17:41:14  qboosh
- use new cmake macros, avoid forcing -O3

Revision 1.41  2011/01/26 17:06:27  qboosh
- completed pl
- -static are gone due to cmake transition

Revision 1.40  2010/10/27 12:35:46  baggins
- rel 7
- fix xlrpc-c-config wrt as-needed linking

Revision 1.39  2010/02/03 00:45:45  sparky
- reenabled libwww client

Revision 1.38  2010/02/02 15:06:16  shadzik
- rel 6

Revision 1.37  2009/12/15 12:32:41  sls
- removed no longer used BR: auto-tools

Revision 1.36  2009/12/14 12:01:30  baggins
- rel 5

Revision 1.35  2009/12/09 13:32:43  baggins
- rel 4

Revision 1.34  2009/12/07 15:09:16  sparky
- BR: readline-devel (required for xmlrpc_pstream)

Revision 1.33  2009/12/07 11:04:05  glen
- BR ncurses with .pc files; rel 3

Revision 1.32  2009/12/06 21:29:15  glen
- strict deps in -devel

Revision 1.31  2009/12/06 18:38:46  sparky
- BR: pkgconfig

Revision 1.30  2009/12/05 22:19:14  glen
- up to 1.20.3 from fedora

Revision 1.29  2009/07/06 10:31:09  baggins
- rel 3

Revision 1.28  2008/12/27 08:43:31  qboosh
- updated rpmcflags passing, now are used again

Revision 1.27  2008/09/19 13:13:28  pluto
- release 2 for rebuild with fixed w3c-libwww/ssl issue.

Revision 1.26  2008/09/19 09:32:21  pluto
- enable libwww/ssl, fix 64-bits install, release 1.

Revision 1.25  2008/07/19 22:17:01  charles
- BR: libstdc++-devel (-devel R: libstdc++-devel)
- updated -soname.patch

Revision 1.24  2008/05/14 16:51:54  qboosh
- updated soname patch, removed obsolete syntax-fix patch
- cleanup, package legacy header symlinks

Revision 1.23  2008-05-11 16:32:56  areq
- 1.14.2 NFY
- soname.patch must be updated

Revision 1.22  2008-05-10 16:17:54  shadzik
- add patch4 to fix build with curl
- rel 4

Revision 1.21  2007-12-06 09:51:06  adamg
- fix syntax in xmlrpc-c-config; release 3

Revision 1.20  2007/07/13 11:10:18  arekm
- rel 2

Revision 1.19  2007/04/11 07:11:18  arekm
- up to 1.10.00

Revision 1.18  2007/04/11 06:52:43  arekm
- symlink deps fixed

Revision 1.17  2007/04/11 06:45:48  arekm
- up to 1.06.11-1

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.13  2006/09/04 12:58:19  baggins
- rel 2
- added cflags patch

Revision 1.12  2006/09/04 11:54:41  baggins
- up to 1.06.04
- removed obsolete patches

Revision 1.11  2006/02/21 14:30:17  baggins
- release 2
- proper req for devel package

Revision 1.10  2006/02/21 14:11:33  baggins
- release 1

Revision 1.9  2006/02/21 14:07:40  baggins
- updated to 1.03.11
- fixed b0rken Makefiles

Revision 1.8  2006/02/21 12:47:05  baggins
- trying to build on x8664

Revision 1.7  2006/01/11 16:21:39  baggins
- updated to 1.03.10

Revision 1.6  2005/03/24 18:18:03  baggins
- release 3
- --enable-libwww-client

Revision 1.5  2005/03/24 15:40:12  baggins
- release 2
- soname patch to resolve conflict with xmlrpc-epi (s/xmlrpc/xmlrpc-c/g)

Revision 1.4  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.3  2003/10/12 19:06:09  qboosh
- pl description, moved base docs to base, *.so symlink to -devel

Revision 1.2  2003/09/15 22:04:03  krzak
-  --disable-libwww-client

Revision 1.1  2003/09/15 03:52:49  krzak
- initial
